Community
cancel
Showing results for 
Search instead for 
Did you mean: 
JHWKM
Beginner
227 Views

Possibilty to keep using PSXE 2016 intel Fortran compiler

Jump to solution

Hello Intel Team,

 

is it possible to keep using the 2016 intel Fortran compiler, maybe in combination with an oneAPI license? I would need the 2016 version as it is the last one supported by an external user subroutine linked with Abaqus. Newer versions (including version 2021 included in oneAPI) are not compatible with the Abaqus internal runtime libraries and lead to a Abaqus runtime symbol lookup error after the succesful compilation and linking of the subroutines.

Thank you very much in advance!

Best Regards

Jakob

0 Kudos
1 Solution
Ronald_G_Intel
Moderator
205 Views

This is a known bug with a known workaround.  Use /names:lowercase along with /iface:cref.

Read all about it HERE

View solution in original post

8 Replies
Ronald_G_Intel
Moderator
206 Views

This is a known bug with a known workaround.  Use /names:lowercase along with /iface:cref.

Read all about it HERE

View solution in original post

Ronald_G_Intel
Moderator
200 Views

We have not changed our Fortran ABI and APIs for many many many years. The latest compilers should work with 3rd party programs EVEN IF they don't list the latest compiler under their Requirements or Support documentation. Our advice is try the new compiler and we're sure it will work. If not it's a bug and we'll fix it.


JHWKM
Beginner
193 Views

Hi Ronald,

thank you for the fast reply!

However I am not using windows but a ubuntu 18 instead. So this bug should actually not appear in my case as far as I understood. Abaqus actually finishes compiling and linking succesfully and starts the Abaqus executable but fails immediatly at runtime with the symbol look up error: 'undefined symbol __for_ieee_quiet_ne_k8_ '

 

Best regards

Jakob

Ronald_G_Intel
Moderator
181 Views

something is wrong in your environment.  that function is in libifcore, which is in /opt/intel/oneapi/compiler/2021.2.0/linux/compiler/lib/intel64.  Do you have that path in your LD_LIBRARY_PATH?

or

/opt/intel/oneapi/compiler/latest/linux/compiler/lib/intel64

Did you

source /opt/intel/oneapi/setvars.sh

before starting Abaqus?  Perhaps put that in your .bashrc or other startup dot file.

JHWKM
Beginner
168 Views

Hi Ronald,

I sourced the /opt/intel/oneapi/setvars.sh and added it to my .bashrc file. Also checked the LD_LIBRARY_PATH and the path to the libifcore library should be included.

in my filesystem the libifcore library is both in

/opt/intel/oneapi/compiler/2021.1.1/linux/compiler/lib/intel64_lin  and

/opt/intel/oneapi/compiler/latest/linux/compiler/lib/intel64

Could this be an Abaqus internal problem? The look up error apparently happens in a .so library generated temporally for the specific Abaqus simulation job:

/opt/abaqus/2018/SimulationServices/V6R2018x/linux_a64/code/bin/standard: symbol lookup error: /tmp/jhuber-037e4e68_Job-1_9860/libstandardU.so: undefined symbol: __for_ieee_quiet_ne_k8_

 

Best Regards

Jakob

Ronald_G_Intel
Moderator
160 Views

Its possible Abaqus hard-coded the LD_LIBRARY_PATH paths to the PSXE runtime libs or assumed the Redistributable Libraries were installed - which we are CURRENTLY not doing in oneAPI.  We're reviewing this based on feedback from this Forum. 

So try this whilst we work on the issue :  Install the oneAPI runtime for Linux

https://registrationcenter-download.intel.com/akdlm/irc_nas/17756/l_fortran-compiler_p_2021.2.0.136_...

now if this does NOT work, try installing Parallel Studio XE 2020, or 2019 or any version really.  It's possible Abaqus has hard-coded a path for the older PSXE products.  And check with them if they have suggestions for fixing this issue. 

 

JHWKM
Beginner
145 Views

Hi Ronald,

thank you for your advices.

Do I have to do anything further or is the installation of the oneAPI runtime enough? Is it the same compiler I got when downloading the oneAPI HPC toolkit?

Unfortunately my license for PSCXE expired so I cant test the 2020 or any of the earlier versions.

I will get in touch with Abaqus about that issue.

Best regards

Jakob

Ronald_G_Intel
Moderator
124 Views

Jakob, I will check your older license.  I'll be in touch in direct email, we'll get you going with PSXE 2020 shortly.

 

ron

Reply